# Generated by Django 2.2.5 on 2019-10-02 11:21

from django.db import migrations, models

from ..helpers import random_string


def set_quiz_slug(apps, schema_editor):
    GenericTypeformFeedback = apps.get_model(
        'typeform_feedback',
        'GenericTypeformFeedback',
    )
    for generic_typeform in GenericTypeformFeedback.objects.all():
        generic_typeform.quiz_slug = random_string()
        generic_typeform.save()


class Migration(migrations.Migration):

    dependencies = [
        ('typeform_feedback', '0002_auto_20190925_0837'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='generictypeformfeedback',
            name='typeform_url',
        ),
        migrations.AddField(
            model_name='generictypeformfeedback',
            name='quiz_slug',
            field=models.CharField(blank=True, max_length=256, null=True),
        ),
        migrations.AddField(
            model_name='generictypeformfeedback',
            name='url',
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='usergenerictypeformfeedback',
            name='status',
            field=models.CharField(choices=[('N', 'Not available'), ('P', 'Pending'), ('D', 'Done'), ('F', 'Fail')], max_length=1),
        ),
        migrations.RunPython(set_quiz_slug)
    ]
